React UI Components Documentation
ReactJS ColorPicker Component
The ColorPicker component for ReactJS that allows you to easily pick a color. You can configure the ColorPicker's color mode, input a color in hex or RGB format.
Prerequisites
Refer to ReactJS Getting Started before you start with this help topic.
Configuration
The ColorPicker component for ReactJS requires the following imports.
import React from 'react';import ReactDOM from 'react-dom'; import JqxColorPicker from 'jqwidgets-react/react_jqxcolorpicker.js';
Then we create our component class. Properties and methods are put as ReactJS props.
class App extends React.Component { render () { return ( <JqxColorPicker width={220} height={220} colorMode={"hue"} /> ) }}
Finally we render our class in the desired HTML element:
ReactDOM.render(<App />, document.getElementById('app'));
Events Methods & Properties
In order to bind to any event, change any property or call any method, we need a reference to the component.
For that we use the ReactJS "ref" Callback Attribute:
<JqxColorPicker ref='myColorPicker' width={220} height={220}..... />
Now, when we have a reference, we need to call the desired event/property/method.
This is done in the componentDidMount() ReactJS Component Lifecycle method.
class App extends React.Component { componentDidMount() { //your logic } render () { return ( .... ) }};
Events
The colorchange event is triggered when a new color is picked.
The following example demonstrates how to add an event listener:
componentDidMount (){ this.refs.myColorPicker.on('colorchange', (event) => { //your logic }); }
Methods & Properties
This is how you call methods & props:
//Get Methodslet color = this.refs.myColorPicker.getColor(); //Set Methodsthis.refs.myColorPicker.setColor('#bbaaff'); //Get Propertieslet height = this.refs.myColorPicker.height(); //Set Propertiesthis.refs.myColorPicker.height(400);
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
Every component also have a method getOptions which returns a object containing the component settings.
let options = this.refs.myColorPicker.getOptions();
ColorPicker Examples
Overview
The following example demonstrates how to create a ColorPicker component.
import React from 'react';import ReactDOM from 'react-dom'; import JqxColorPicker from 'jqwidgets-react/react_jqxcolorpicker.js'; class App extends React.Component { render () { return ( <JqxColorPicker width={220} height={220} /> ) }} ReactDOM.render(<App />, document.getElementById('app'));
Disabled ColorPicker
The following example demonstrates how to disable the ColorPicker component.
import React from 'react';import ReactDOM from 'react-dom'; import JqxColorPicker from 'jqwidgets-react/react_jqxcolorpicker.js'; class App extends React.Component { render () { return ( <JqxColorPicker width={600} height={100} disabled={true} /> ) }} ReactDOM.render(<App />, document.getElementById('app'));

Angular ColorPicker Component

The ColorPicker component for Angular allows you to easily pick a color. You can configure the ColorPicker's color mode, input a color in hex or RGB format.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxScrollView [theme]="'fluent'" [width]='500' [height]='350' [slideShow]='true' [showButtons]='false'>
    <div>
        <div class="photo" style="background-image: url(https://www.jqwidgets.com/angular/images/imageNature1.jpg)"></div>
    </div>
    <div>
        <div class="photo" style="background-image: url(https://www.jqwidgets.com/angular/images/imageNature2.jpg)"></div>
    </div>
    <div>
        <div class="photo" style="background-image: url(https://www.jqwidgets.com/angular/images/imageNature3.jpg)"></div>
    </div>
    <div>
        <div class="photo" style="background-image: url(https://www.jqwidgets.com/angular/images/imageNature4.jpg)"></div>
    </div>
    <div>
        <div class="photo" style="background-image: url(https://www.jqwidgets.com/angular/images/imageNature5.jpg)"></div>
    </div>
</jqxScrollView>

<br />
<label style="margin-left: 5px; font-size: 12px; font-family: Verdana;">
    Select Frame color
</label>
<br />

<jqxDropDownButton [theme]="'fluent'" #dropDownButton style="margin: 3px; float: left" 
    [width]='150' [height]='22'>
    <div style="padding: 3px;">

        <jqxColorPicker (onColorchange)="colorPickerEvent($event)"
            [width]='220' [height]='220' [colorMode]='"hue"'>
        </jqxColorPicker>

    </div>
</jqxDropDownButton>
	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild, AfterViewInit, ViewEncapsulation } from '@angular/core';

import { jqxDropDownButtonModule, jqxDropDownButtonComponent } from 'jqwidgets-ng/jqxdropdownbutton';
import { jqxColorPickerModule } from 'jqwidgets-ng/jqxcolorpicker';
import { jqxScrollViewModule } from 'jqwidgets-ng/jqxscrollview';

@Component({
    selector: 'app-root',
    imports: [jqxDropDownButtonModule, jqxScrollViewModule, jqxColorPickerModule],
    standalone: true,
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css'],
    encapsulation: ViewEncapsulation.None
})

export class AppComponent implements AfterViewInit {
    @ViewChild('dropDownButton') myDropDown: jqxDropDownButtonComponent;

    ngAfterViewInit(): void {
        this.myDropDown.setContent(this.getTextElementByColor({ hex: "FFAABB" }));
    }

    getTextElementByColor(color: any): any {
        if (color == 'transparent' || color.hex == "") {
            return '<div style="text-shadow: none; position: relative; padding-bottom: 2px; margin-top: 2px;">transparent</div>';
        }
        let nThreshold = 105;
        let bgDelta = (color.r * 0.299) + (color.g * 0.587) + (color.b * 0.114);
        let foreColor = (255 - bgDelta < nThreshold) ? 'Black' : 'White';
        let element = '<div style="text-shadow: none; position: relative; padding-bottom: 2px; margin-top: 2px;color:' + foreColor + '; background: #' + color.hex + '">#' + color.hex + '</div>';
        return element;
    }

    colorPickerEvent(event: any): void {
        this.myDropDown.setContent(this.getTextElementByColor(event.args.color));
        (<HTMLElement>document.getElementsByClassName('jqx-scrollview')[0]).style.borderColor = '#' + event.args.color.hex;
    }
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

ColorPicker API

API Reference of the jQWidgets ColorPicker component for Angular: ColorPicker API